Subject: bug#52369: 28.0.90; Assertion failure when running Flycheck unit test suite

From: Philipp <[email-masked]>
Date: Sat, 11 Dec 2021 19:26:37 +0100

> Am 11.12.2021 um 14:50 schrieb Eli Zaretskii <[email-masked]>:
> 
>> From: Philipp Stephani <[email-masked]>
>> Date: Sat, 11 Dec 2021 13:56:45 +0100
>> 
>>> process.c:6521: Emacs fatal error: assertion failed: 0 <= outfd && outfd < FD_SETSIZE
>>> make: *** [Makefile:128: unit] Aborted (core dumped)
>>> 
>> 
>> Given that this is a serious bug (undefined behavior), I'd install the
>> attached patch on the release branch.
> 
> Fine with me, thanks.

Done with commit 8a0734329a4faf0b45627763af74222bdd0ec143, thanks.
I'll keep this bug open for now since I still want to add a minimal regression test for it.